Choose style:

Author Topic: Which kernel is safe to use with Pep 8 respin  (Read 523 times)

0 Members and 1 Guest are viewing this topic.

Offline cihan.kizilarmut

  • nOOb
  • *
  • Posts: 3
  • Karma: 0
  • New Forum User
    • View Profile
  • Peppermint version(s): 8
Which kernel is safe to use with Pep 8 respin
« on: February 01, 2018, 05:16:58 pm »
Which kernel is safe to use in pep 8 do to the spectre and meltdown? Right know I did the updates and it updated to the 4.13 I believe

Sent from my SM-J727P using Tapatalk


Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 25491
  • Karma: 2807
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 8R, 9, and 9R
Re: Which kernel is safe to use with Pep 8 respin
« Reply #1 on: February 01, 2018, 05:38:40 pm »
Sticking with the default (currently 4.13.0-32) is the safest bet .. then you'll be sure to get any future upgrades automatically.

Currently the spectre-meltdown-checker.sh script shows the default kernel to be patched against Meltdown and Spectre variant 1 .. but even if you switch to say the 4.15 kernel from the mainline PPA it's still showing 2 out of 3 for that one too .. though oddly the script suggests 4.15 is patched against Meltdown and Spectre variant 2 .. so take your pick.

Really for most people the main risk is from remote 'drive by' exploits so it's more important that your web browser has the mitigations in place.

Firefox has the mitigations in place since (and including) version 57

Chromium and Chrome have the mitigations in version 64

So make sure you're running one of those .. or some other browser with the mitigations in place.
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec